const common = {
  primaryColor: 'rgba(24, 144, 255, 1)',
  textColor: 'rgba(51, 51, 51, 1)',
  whiteColor: 'rgba(255, 255, 255, 1)',
  errorColor: '#ff3333',
  primaryColorHover: 'rgba(24, 144, 255, 0.8)',
  primaryColorPressed: 'rgba(24, 144, 255, 1)'
}

const themeOverrides = {
  common,
  Button: {
    textColor: common.primaryColor
  },
  Menu: {
    /* 菜单文本 */
    itemTextColor: common.whiteColor,
    itemTextColorHover: common.whiteColor,
    itemTextColorActive: common.whiteColor,
    itemTextColorChildActive: common.whiteColor,
    itemTextColorActiveHover: common.whiteColor,
    itemTextColorChildActiveHover: common.whiteColor,
    /* 图标 */
    itemIconColor: 'red',
    itemIconColorHover: 'rgb(31, 34, 37)',
    itemIconColorActive: common.primaryColor,
    itemIconColorActiveHover: common.primaryColor,
    itemIconColorChildActive: common.primaryColor,
    itemIconColorCollapsed: 'rgb(31, 34, 37)',
    itemTextColorHorizontal: 'rgb(51, 54, 57)',
    itemTextColorHoverHorizontal: common.primaryColor,
    itemTextColorActiveHorizontal: common.primaryColor,
    itemTextColorChildActiveHorizontal: common.primaryColor,
    itemTextColorActiveHoverHorizontal: common.primaryColor,
    itemIconColorHorizontal: 'rgb(31, 34, 37)',
    itemIconColorHoverHorizontal: common.primaryColor,
    itemIconColorActiveHorizontal: common.primaryColor,
    itemIconColorActiveHoverHorizontal: common.primaryColor,
    itemIconColorChildActiveHorizontal: common.primaryColor,
    /* 箭头 */
    arrowColor: common.whiteColor,
    arrowColorHover: common.whiteColor,
    arrowColorActive: common.whiteColor,
    arrowColorActiveHover: common.whiteColor,
    arrowColorChildActive: common.whiteColor,
    arrowColorChildActiveHover: common.whiteColor,
    /* 菜单 */
    itemColorHover: 'rgba(24, 144, 255, 1)',
    itemColorActive: 'rgba(24, 144, 255, 1)',
    itemColorActiveHover: 'rgba(24, 144, 255, 1)',
    itemColorActiveCollapsed: 'rgba(24, 144, 255, 1)'
  }
}

export default themeOverrides
